compile-with-warnings:gcc -Wall -g3 -o main main.c stream.c
compile:gcc -g3 -o main main.c stream.c
string:echo '"0123456"' | ./main 50 -100000 50 -100000
interleave:echo 'x"abc""-="' | ./main 50 -100000 50 -100000
plus:echo '+"0123456"' | ./main 50 -100000 50 -100000
ruler:echo 'x" "x"."x":"x"!""|#"' | ./main 100 -100000 100 -100000
orwell:echo '++"good"' | ./main 50 -100000 50 -100000
primes:echo '+x"12"+x"123"+x"12345"+x"1234567"+x"123456789abcd"+x"123456789abcdefgh"+x"123456789abcdefghij"+x"123456789abcdefghijklmn""123456789abcdefghijklmnopqrst"' | ./main 50 -100000 50 -100000
long:echo '+x"abc""12"' | ./main 50 -100000000 50
valgrind:echo '+x+++++"012"++x"ab"+"CD"' | valgrind -q --tool=memcheck --partial-loads-ok=yes --leak-check=yes --track-origins=yes ./main 50 -1000
